使用@vue/cli创建一个vue项目

安装node js

Node 版本要求

Vue CLI 4.x 需要 Node.js v8.9 或更高版本 (推荐 v10 以上)。 (新版node.js 会自带npm)

安装yarn

npm install --globalyarn

yarn官方文档 <https://yarn.bootcss.com/docs/install#windows-stable>

 

安装@vue/cli

可以使用下列任一命令安装这个新的包:

npm install -g @vue/cli
# OR

yarn global add @vue/cli

安装之后,你就可以在命令行中访问 vue 命令。你可以通过简单运行 vue,看看是否展示出了一份所有可用命令的帮助信息,来验证它是否安装成功。

你还可以用这个命令来检查其版本是否正确:

vue --version

 

升级

如需升级全局的 Vue CLI 包,请运行:

npm update -g @vue/cli

# 或者

Yarn global upgrade --latest
@vue/cli

 

 卸载

如果你已经全局安装了旧版本的 vue-cli (1.x 或 2.x),

你需要先通过 npm uninstall vue-cli -g 或 yarn global remove vue-cli 卸载它。

npm uninstall @vue/cli -g(新版的包名称已经改为了@vue/cli)

 

创建一个项目

vue create hello-world

项目可视化界面

vue ui

 

yarn serve  运行服务

进入服务端口

 

@vue/cli官方文档: https://cli.vuejs.org/zh/guide/installation.html

前端相关优质项目推荐: https://www.bootcss.com/

 

推荐这些文章:

妈妈再也不用担心我 nvm-node-npm-webpack-vue 环境问题了

1、nvm 安装
       问: 为什么要用nvm? 答: 快速切换node npm版本
      a、https://github.com/coreybutler/nvm-windows/releases   下载傻瓜式安装
    
        b、验证安装是否成
                
    &nb...

《前端》webpack报错:npm ERR! vue-admin-template@4.4.0 dev: `vue-cli-service serve`

解决方案
1.删除node_model文件夹
2.终端执行npm install.慢的话可以执行淘宝镜像
npm install cnpm -g --registry=https://registry.npm.taobao.org

npm uninstall webpack-dev-server

npm install webpack-dev-server@2.9.1

npm run dev

 设置淘宝镜像

npm config set registry https://registry.npm.taobao.org

 

原文链接:h...

node 升级导致Node Sass 冲突问题

今天把node.js 从  v12.16.3 升级到  v16.14.2 然后原来的程序系统出现了这个问题

 
 先删除 

npm uninstall node-sass

cnpm uninstall node-sass

 
然后安装与node   v16.14.2  版本相匹配的 node sass  6.0

cnpm install node-sass@6.0.1

 
然后调整系统中样式
...

vue-cli脚手架搭建vue3.0+typescripe项目

  新开个项目,小项目,小。顺手就用vue吧,vue3出来也几个月了,直接上了吧。一年多没用vue了,用的时候也得再熟悉,不如直接干3了!
  vue官方推荐使用的脚手架是 Vite 和 vue-cli ,延续vue2时使用的vue-cli进行搭建,顺手顺眼。集成webpack,热更新,不用操心其他配置操作,专心项目开发。
  安装vue-cli就不说了。
 
  
 
 
  描述了vue的很多功能,比如 ......
 
  创建项目,可以使用 vue create app 或者 vue ui 来启动GUI页...

vue@cli 的卸载

npm uninstall vue-cli -g或者npm uninstall  @vue/cli -g
  查看是否被删除:vue -V

 
 安装其他版本
3.0以下版本:
npm install --global vue-cli
3.0以上版本:
npm install -g @vue/cli
npm install -g @vue/cli@[版本号]
 

...

'vue-cli-service' 不是内部或外部命令,也不是可运行的程序

win10的系统,使用下面的命令安装vue后

npm install -g @vue/cli
出现找不到 vue-cli-service 命令的情况'vue-cli-service' 不是内部或外部命令,也不是可运行的程序或批处理文件。
清理 node_modules 重新安装,试了不管用,最后直接使用下面的命令安装vue-cli-service解决了。

npm install -g @vue/cli-service

 

...

vue、vue-cli、webpack安装

####vue安装
- npm i -g vue
####vue-cli
- npm install -g vue-cli
npm install --global vue-cli
####
npm install -g webpack
####vue常用命令
- 创建项目
> vue init webpack 项目名称

...

查看vue和vue脚手架的版本

查看vue和vue脚手架的版本

查看vue 输入npm list vue
查看vue-cli 输入 vue -V或vue --version

 

...

vue-element-admin npm install时, 报Error while executing

 Error while executing:  D:\Git\Git\cmd\git.EXE ls-remote -h -t https://github.com/nhn/raphael.git

 
 
 解决方法:

git config --global url."https://".insteadOf git://
然后重新运行 npm install就行或者npm install --registry=https://registry.npm.taobao.org(淘宝镜像)

...

win7、nodejs版本 13.14.0、安装开发vue所有需要的组件,并顺带解决'vue-cli-service' 不是内部或外部命令 的问题

安装nodejs 13.14.0  安装参考地址:https://www.cnblogs.com/yhanblog/p/14865889.html
1.以管理员权限运行cmd窗口
 

先配置 npm 为淘宝的镜像 ,如果已配置可以忽略,

npm config set registry https://registry.npm.taobao.org/

配置后安装 cnpm ,如果已配置可以忽略

npm install cnpm -g --registry=https://registry.npm.taobao.org

在命令窗口中输入 cnpm  -v,...

文章标题:使用@vue/cli创建一个vue项目
文章链接:https://www.dianjilingqu.com/51005.html
本文章来源于网络,版权归原作者所有,如果本站文章侵犯了您的权益,请联系我们删除,联系邮箱:saisai#email.cn,感谢支持理解。
THE END
< <上一篇
下一篇>>